%define modname shp
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A54_%{modname}.ini

Summary:	A libshape wrapper extension for php
Name:		php4-%{modname}
Version:	0.9.1
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/shape
Source0:	http://pecl.php.net/get/shape-%{version}.tar.bz2
BuildRequires:	php4-devel >= 4.4.4
BuildRequires:	libshapelib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Extension that wraps libshape, provides the ability to write programs for
manipulating ESRI shapefiles.

%prep

%setup -q -n shape-%{version}

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS README tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-4mdv2007.0
+ Revision: 132288
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdv2007.1
+ Revision: 123787
- rebuilt against new upstream php version (4.4.5)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdv2007.1
+ Revision: 98739
- release bump due to hdlists borkiness
- Import php4-shp



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1
- initial Mandriva package
